aboutsummaryrefslogtreecommitdiffstats
path: root/deployment/zip/src
diff options
context:
space:
mode:
Diffstat (limited to 'deployment/zip/src')
-rw-r--r--deployment/zip/src/main/release/bin/oclip-cmdflow-server.sh42
-rw-r--r--deployment/zip/src/main/release/bin/oclip-rcli.sh42
2 files changed, 84 insertions, 0 deletions
diff --git a/deployment/zip/src/main/release/bin/oclip-cmdflow-server.sh b/deployment/zip/src/main/release/bin/oclip-cmdflow-server.sh
new file mode 100644
index 00000000..d13878db
--- /dev/null
+++ b/deployment/zip/src/main/release/bin/oclip-cmdflow-server.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+#*******************************************************************************
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#*******************************************************************************
+
+if [ -z "$OPEN_CLI_HOME" ]
+then
+ echo "OPEN_CLI_HOME is not set."
+ exit 1
+fi
+
+if [ "$OSTYPE" = "msys" ]
+then
+ SEP=\;
+else
+ SEP=:
+fi
+
+CLASSPATH=${OPEN_CLI_HOME}/conf${SEP}${OPEN_CLI_HOME}${SEP}${OPEN_CLI_HOME}/docs
+for entry in "$OPEN_CLI_HOME/lib"/*
+do
+ CLASSPATH=${CLASSPATH}${SEP}${entry}
+done
+
+if [ "$OPEN_CLI_DEBUG" = "true" ]
+then
+ java -Xdebug -Xrunjdwp:transport=dt_socket,address=${OPEN_CLI_DEBUG_PORT:-5005},server=y -classpath $CLASSPATH -DOPEN_CLI_HOME=$OPEN_CLI_HOME org.open.infc.grpc.server.OpenInterfaceGrpcServer "$@"
+else
+ java -classpath $CLASSPATH -DOPEN_CLI_HOME=$OPEN_CLI_HOME org.open.infc.grpc.server.OpenInterfaceGrpcServer "$@"
+fi
diff --git a/deployment/zip/src/main/release/bin/oclip-rcli.sh b/deployment/zip/src/main/release/bin/oclip-rcli.sh
new file mode 100644
index 00000000..8caec38c
--- /dev/null
+++ b/deployment/zip/src/main/release/bin/oclip-rcli.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+#*******************************************************************************
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#*******************************************************************************
+
+if [ -z "$OPEN_CLI_HOME" ]
+then
+ echo "OPEN_CLI_HOME is not set."
+ exit 1
+fi
+
+if [ "$OSTYPE" = "msys" ]
+then
+ SEP=\;
+else
+ SEP=:
+fi
+
+CLASSPATH=${OPEN_CLI_HOME}/conf${SEP}${OPEN_CLI_HOME}${SEP}${OPEN_CLI_HOME}/docs
+for entry in "$OPEN_CLI_HOME/lib"/*
+do
+ CLASSPATH=${CLASSPATH}${SEP}${entry}
+done
+
+if [ "$OPEN_CLI_DEBUG" = "true" ]
+then
+ java -Xdebug -Xrunjdwp:transport=dt_socket,address=${OPEN_CLI_DEBUG_PORT:-5005},server=y -classpath $CLASSPATH -DOPEN_CLI_HOME=$OPEN_CLI_HOME org.open.infc.grpc.client.OpenRemoteCli "$@"
+else
+ java -classpath $CLASSPATH -DOPEN_CLI_HOME=$OPEN_CLI_HOME org.open.infc.grpc.client.OpenRemoteCli "$@"
+fi